{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [
    ./networking.nix
    ./users.nix
    ./hardware.nix
    ./disko-config.nix
    ../../modules/system/env.nix
    ../../modules/security/acme.nix
    ../../modules/services/caddy.nix
    ../../modules/services/coredns.nix
    ../../modules/services/gitea.nix
    ../../modules/services/wireguard.nix
    ../../modules/services/fail2ban.nix
    ../../modules/services/vaultwarden.nix
    ../../modules/services/mailserver.nix
    ../../modules/services/snappymail.nix
    ../../modules/services/rustdesk.nix
    ../../modules/services/wrxproxy.nix
    ../../modules/services/watchtower.nix
    ../../modules/services/tlsa-updater.nix
    ../../modules/services/shkeeper.nix
    ../../modules/services/backup.nix
  ];

  system.stateVersion = "24.05";
}
